commit:     caa8d6f2973d688cedfbdb1a81720594be238122
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Mon Feb  2 19:12:52 2026 +0000
Commit:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Tue Feb 24 15:31:51 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=caa8d6f2

sci-physics/geant4_vmc: add 6.8

Closes: https://github.com/gentoo/gentoo/pull/45603
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>
Signed-off-by: Guilherme Amadio <amadio <AT> gentoo.org>

 sci-physics/geant4_vmc/Manifest              |  1 +
 sci-physics/geant4_vmc/geant4_vmc-6.8.ebuild | 79 ++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/sci-physics/geant4_vmc/Manifest b/sci-physics/geant4_vmc/Manifest
index d1194ec8adb4..78039fd11302 100644
--- a/sci-physics/geant4_vmc/Manifest
+++ b/sci-physics/geant4_vmc/Manifest
@@ -1,3 +1,4 @@
 DIST geant4_vmc-6.6_p1.tar.gz 5936947 BLAKE2B 
7a44077314951bd33cc19615247b48a88df13f911603e631d818e97029a8de272cecd2ad6efe8aef2b622bd000385f25940e5cb744356b1e72f5312c6af616cd
 SHA512 
244287a0412d00219a2838ae30f325a5f4b90b594973b4f61c5189e8e78a3585c8b4898c9bae574de871a8e0aaf4b7f25163a830489898279d7c4498422df29e
 DIST geant4_vmc-6.7.tar.gz 5912341 BLAKE2B 
1b1dfb93768c0e58c3fb2ceb522ad8fd4f5cf91e763af99df9f954dbbebc0c187f31ba69bf6f3d57cb7bb8505324c96f51229c59715a5ce4acd72a8128a46899
 SHA512 
acdb8d34c150e94fab1558b876df647873ba719e65de567cbc287c92c5c583aea25a47ee575f66f53d9b5b63c29dde08da50dd154f9166e136e66b830e7d1e65
 DIST geant4_vmc-6.7_p1.tar.gz 5912553 BLAKE2B 
9eaf68f9677cb01d8b6033be9bafdcab87717936c1fab6d7989c8e251f66e8ad47142436d57989885f6697833c252d1512328bae260293997975bdb611dbc4bf
 SHA512 
f476f9b19da026845ca43ae11e36fd19091287ca36dbd29c55486ce41430d1926eb533f84b6a1ca0126571042dbbb8b59f9e9d436dcc1444240e0dc2c131d8d5
+DIST geant4_vmc-6.8.tar.gz 5913360 BLAKE2B 
fbc0d59f981d4223141600b256ab155087be2dc9759bfbeafe8fd21c16af765a6cb56b30ceec63bdb7b7c2136090bfe823911a10dbb64de0eca80f5e1e7df729
 SHA512 
95211411595b5165d26d075deb3e72514eb43fe51d6839393997523ab5a08f724851322c38879799a8c5fdd68d1c4580210fb372556428a40d2a0dcfb0b480a2

diff --git a/sci-physics/geant4_vmc/geant4_vmc-6.8.ebuild 
b/sci-physics/geant4_vmc/geant4_vmc-6.8.ebuild
new file mode 100644
index 000000000000..94786124efa2
--- /dev/null
+++ b/sci-physics/geant4_vmc/geant4_vmc-6.8.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake virtualx
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/vmc-project/${PN}.git";
+else
+       MY_PV=$(ver_rs 1-2 -)
+       SRC_URI="https://github.com/vmc-project/${PN}/archive/v${MY_PV}.tar.gz 
-> ${P}.tar.gz"
+       S="${WORKDIR}/${PN}-${MY_PV}"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Virtual Monte Carlo Geant4 implementation"
+HOMEPAGE="https://github.com/vmc-project/geant4_vmc";
+
+LICENSE="GPL-3"
+SLOT="4"
+IUSE="doc examples geant3 +g4root vgm test"
+
+RDEPEND="
+       sci-physics/clhep:=
+       >=sci-physics/geant-4.11.3:=[opengl,geant3?]
+       sci-physics/root:=
+       >=sci-physics/vmc-2.0:=
+       vgm? ( >=sci-physics/vgm-5.1:=[geant4,root] )"
+DEPEND="${RDEPEND}
+       test? ( >=sci-physics/geant-4.11.3:=[gdml] )"
+BDEPEND="doc? ( app-text/doxygen[dot] )"
+REQUIRED_USE="
+       test? ( examples geant3 g4root vgm )
+       examples? ( g4root )"
+RESTRICT="!test? ( test )"
+
+DOCS=(history README.md)
+
+src_configure() {
+       local mycmakeargs=(
+               -DGeant4VMC_USE_VGM="$(usex vgm)"
+               -DGeant4VMC_USE_GEANT4_G3TOG4="$(usex geant3)"
+               -DGeant4VMC_BUILD_G4Root="$(usex g4root)"
+               -DGeant4VMC_USE_G4Root="$(usex g4root)"
+               -DGeant4VMC_BUILD_EXAMPLES="$(usex examples)"
+               -DGeant4VMC_INSTALL_EXAMPLES="$(usex examples)"
+               -DGeant4VMC_BUILD_G4Root_TEST="$(usex test)"
+       )
+       cmake_src_configure
+}
+
+src_compile() {
+       cmake_src_compile
+       if use doc ; then
+               local dirs=(
+                       source
+                       $(usev g4root)
+                       $(usev examples)
+               )
+               local d
+               for d in "${dirs[@]}"; do
+                       doxygen "${d}"/Doxyfile || die
+               done
+       fi
+}
+
+src_test() {
+       cd examples || die
+       virtx ./test_suite.sh --debug --g3=off --garfield=off 
--builddir="${BUILD_DIR}" || die
+       virtx ./test_suite_exe.sh --g3=off --garfield=off --garfield=off 
--builddir="${BUILD_DIR}" || die
+}
+
+src_install() {
+       cmake_src_install
+       use doc && local HTML_DOCS=(doc/.)
+       einstalldocs
+}

Reply via email to